# Uses of Interface
org.eclipse.birt.chart.model.attribute.StringFormatSpecifier

Packages that use StringFormatSpecifier
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of StringFormatSpecifier in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return StringFormatSpecifier
Modifier and Type
Method
Description
`StringFormatSpecifier`
StringFormatSpecifier.`copyInstance()`
`StringFormatSpecifier`
AttributeFactory.`createStringFormatSpecifier()`
Returns a new object of class 'String Format Specifier'.

## Uses of StringFormatSpecifier in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement StringFormatSpecifier
Modifier and Type
Class
Description
`class`
`StringFormatSpecifierImpl`
An implementation of the model object 'String Format Specifier'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return StringFormatSpecifier
Modifier and Type
Method
Description
`StringFormatSpecifier`
StringFormatSpecifierImpl.`copyInstance()`
`static StringFormatSpecifier`
StringFormatSpecifierImpl.`create()`
A convenience methods provided to create an initialized NumberFormatSpecifier instance NOTE: Manually written
`static StringFormatSpecifier`
StringFormatSpecifierImpl.`create(String pattern)`
`StringFormatSpecifier`
AttributeFactoryImpl.`createStringFormatSpecifier()`